Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1416601 - [abrt] PackageKit: _IO_file_doallocate(): packagekitd killed by SIGABRT
Summary: [abrt] PackageKit: _IO_file_doallocate(): packagekitd killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c7e5ac51e0bd2d4db0eb597ec06...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 01:42 UTC by Chen_Min_Chin
Modified: 2017-12-12 10:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:45:20 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (28.04 KB, text/plain)
2017-01-26 01:42 UTC, Chen_Min_Chin
no flags Details
File: cgroup (148 bytes, text/plain)
2017-01-26 01:42 UTC, Chen_Min_Chin
no flags Details
File: core_backtrace (6.15 KB, text/plain)
2017-01-26 01:43 UTC, Chen_Min_Chin
no flags Details
File: dso_list (7.99 KB, text/plain)
2017-01-26 01:43 UTC, Chen_Min_Chin
no flags Details
File: environ (143 bytes, text/plain)
2017-01-26 01:43 UTC, Chen_Min_Chin
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-26 01:43 UTC, Chen_Min_Chin
no flags Details
File: maps (39.55 KB, text/plain)
2017-01-26 01:43 UTC, Chen_Min_Chin
no flags Details
File: mountinfo (3.70 KB, text/plain)
2017-01-26 01:43 UTC, Chen_Min_Chin
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-26 01:43 UTC, Chen_Min_Chin
no flags Details
File: open_fds (8.80 KB, text/plain)
2017-01-26 01:43 UTC, Chen_Min_Chin
no flags Details
File: proc_pid_status (1.08 KB, text/plain)
2017-01-26 01:43 UTC, Chen_Min_Chin
no flags Details
File: var_log_messages (11.89 KB, text/plain)
2017-01-26 01:43 UTC, Chen_Min_Chin
no flags Details

Description Chen_Min_Chin 2017-01-26 01:42:51 UTC
Version-Release number of selected component:
PackageKit-1.1.5-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: _IO_file_doallocate
executable:     /usr/libexec/packagekitd
global_pid:     1817
kernel:         4.9.5-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #7 _IO_file_doallocate at filedoalloc.c:101
 #8 _IO_doallocbuf at genops.c:398
 #9 _IO_new_file_seekoff at fileops.c:1031
 #10 rewind at rewind.c:35
 #11 checksum_fp at /usr/src/debug/PackageKit-1.1.5/libdnf-fe5a08bca7e2599798af7778917da2cc31f1460e/libdnf/hy-iutil.c:119
 #12 load_yum_repo at /usr/src/debug/PackageKit-1.1.5/libdnf-fe5a08bca7e2599798af7778917da2cc31f1460e/libdnf/dnf-sack.c:686
 #13 dnf_sack_load_repo at /usr/src/debug/PackageKit-1.1.5/libdnf-fe5a08bca7e2599798af7778917da2cc31f1460e/libdnf/dnf-sack.c:1369
 #14 dnf_sack_add_repo at /usr/src/debug/PackageKit-1.1.5/libdnf-fe5a08bca7e2599798af7778917da2cc31f1460e/libdnf/dnf-sack.c:1733
 #15 dnf_sack_add_repos at /usr/src/debug/PackageKit-1.1.5/libdnf-fe5a08bca7e2599798af7778917da2cc31f1460e/libdnf/dnf-sack.c:1787
 #16 dnf_utils_add_remote at pk-backend-dnf.c:518

Comment 1 Chen_Min_Chin 2017-01-26 01:42:57 UTC
Created attachment 1244548 [details]
File: backtrace

Comment 2 Chen_Min_Chin 2017-01-26 01:42:58 UTC
Created attachment 1244549 [details]
File: cgroup

Comment 3 Chen_Min_Chin 2017-01-26 01:43:00 UTC
Created attachment 1244550 [details]
File: core_backtrace

Comment 4 Chen_Min_Chin 2017-01-26 01:43:01 UTC
Created attachment 1244551 [details]
File: dso_list

Comment 5 Chen_Min_Chin 2017-01-26 01:43:03 UTC
Created attachment 1244552 [details]
File: environ

Comment 6 Chen_Min_Chin 2017-01-26 01:43:04 UTC
Created attachment 1244553 [details]
File: limits

Comment 7 Chen_Min_Chin 2017-01-26 01:43:06 UTC
Created attachment 1244554 [details]
File: maps

Comment 8 Chen_Min_Chin 2017-01-26 01:43:08 UTC
Created attachment 1244555 [details]
File: mountinfo

Comment 9 Chen_Min_Chin 2017-01-26 01:43:09 UTC
Created attachment 1244556 [details]
File: namespaces

Comment 10 Chen_Min_Chin 2017-01-26 01:43:11 UTC
Created attachment 1244557 [details]
File: open_fds

Comment 11 Chen_Min_Chin 2017-01-26 01:43:12 UTC
Created attachment 1244558 [details]
File: proc_pid_status

Comment 12 Chen_Min_Chin 2017-01-26 01:43:14 UTC
Created attachment 1244559 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-11-16 15:10:28 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2017-12-12 10:45:20 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.